////////////////////////////////////////////////////////////////////////////////
///                            GL_NormalRendererGeometry3DVisitor.h          ///
////////////////////////////////////////////////////////////////////////////////

#ifndef GLNORMALRENDERERGEOMETRY3DVISITOR_H
#define GLNORMALRENDERERGEOMETRY3DVISITOR_H

#include "GL_NormalRendererStateVariables.h"

#include <X3DTK/gl_scenegraph.h>

namespace X3DTK {
namespace GL {

/// Visitor for the GLGeometry3D component of the GL_NormalRenderer module.

class NormalRendererGeometry3DVisitor : public Geometry3DVisitor
{
public:
  /// Constructor.
  NormalRendererGeometry3DVisitor();
  /// Destructor.
  virtual ~NormalRendererGeometry3DVisitor();

  /// Enters a GL::IndexedFaceSet.
  virtual void enterIndexedFaceSet(IndexedFaceSet *I) const;

protected:
  NormalRendererStateVariables *stateVariables;
};

}
}

#endif
