////////////////////////////////////////////////////////////////////////////////
///                            MESH_TransformComputer.h                      ///
////////////////////////////////////////////////////////////////////////////////

#ifndef MESHTRANSFORMCOMPUTER_H
#define MESHTRANSFORMCOMPUTER_H

#include "MESH_TransformComputerStateVariables.h"

#include <X3DTK/kernel.h>
#include <X3DTK/mesh_scenegraph.h>

namespace X3DTK {
namespace MESH {

/// MeshTransformComputer processor.

class MeshTransformComputer : public X3DOnePassProcessor
{
public:
  /// Constructor.
  MeshTransformComputer();
  /// Destructor.
  virtual ~MeshTransformComputer();
  
  /// Prints the informations relative to N.
  virtual void print(SFNode N);
 
protected:
  MeshTransformComputerStateVariables *stateVariables;
};

}
}

#endif

