#include "X3D_GroupingCreator.h"
#include "X3D_Group.h"
#include "X3D_StaticGroup.h"
#include "X3D_Transform.h"
#include "X3D_Switch.h"

namespace X3DTK {
namespace X3D {

GroupingCreator::GroupingCreator()
{
  defineComponentName("Grouping", "X3D");

  defineNode<Group>();
  defineNode<StaticGroup>();
  defineNode<Transform>();
  defineNode<Switch>();
}

GroupingCreator::~GroupingCreator()
{
}

}
}
